# 自定义虫洞（传送门）

## 什么是虫洞？（Warmholes）

虫洞是 EliteMobs 的一个快速传送功能，虫洞在游戏内由粒子效果显示。

## 示例虫洞

虫洞可以在 wormholes 文件夹内创建，你可以在该文件夹内再创建子文件夹，这样你就可以对虫洞配置再加以分类，例如你可以给不同的地牢地图的虫洞配置放置在不同位置：

\~/plugins/EliteMobs/wormholes/地牢名称/地牢名称\_虫洞名称.yml

下面是一个虫洞配置的示例：

```
isEnabled: true
location1: em_primis,1288.5,19,452.5,135,-23
location2: em_primis,1288.5,-39,451.5,180,-1
```

### 必须配置选项：

**isEnabled**

`isEnabled: true` 设置是否启用该虫洞。

**location1**

`location1: 世界名称,x,y,z,pitch,yaw` 设置虫洞的第一个点坐标。

**location2**

`location2: 世界名称,x,y,z,pitch,yaw` 设置虫洞的第二个点坐标。

设置好以后两个点都会生成虫洞，并且进入其中一个点的虫洞后到达另外一个点的虫洞位置。

### 可选配置选项：

**style**

`style: CRYSTAL` 设置虫洞的粒子效果类型。可选择： `NONE` ，`CUBE`，`CRYSTAL`，`ICOSAHEDRON`。默认值为 `CUBE`。

**blindPlayer**

`blindPlayer: true` 设置玩家在传送时是否给予失明药水效果。默认值为 `false`。

**permission**

`permission: your.permission` 设置使用该虫洞需要的权限，默认值为无。

**coinCost**

`coinCost: 10` 设置使用该虫洞消耗的金币，默认值为无。

**particleColor**

`particleColor: 0x800080` 设置粒子效果的颜色，开头为 `0x` 然后接着写 Hex 颜色代码。

**location1Text**

`location1Text: "&cMy text here"` 设置在虫洞第一个点显示的文本。

**location2Text**

`location2Text: "&2My text here"` 设置在虫洞第二个点显示的文本。

**sizeMultiplie:**

`sizeMultiplier: 1.0` 设置虫洞的大小，不能设置太小，否则会很难通过。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/elitemobs-wiki/pei-zhi/zi-ding-yi-chong-dong-chuan-song-men.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
